# Luakit Documentation / Classes / widget:scrolled

# Class `widget:scrolled`

Scrolling wrapper widget
This module is only available from the UI process Lua state.

The scrolled widget allows widgets too big to fit within a desired region to be scrolled. One example use for this is the tablist, which will be scrolled when there are too many tabs to display all at once.

## Properties

### scrolled.scrollbars

Type: table
Read-write
The scrollbar policy. Two fields, `h` and `v`, specify the scrollbar policy for horizontal and vertical scrollbars respectively. They can have values of `"always"`, `"auto"`, `"never"`, or `"external"`.

### scrolled.scroll

Type: table
Read-write
The current scroll position. Two fields, `h` and `v`, specify the scroll offset from the left and top respectively, in pixels.

## Attribution

#### Copyright

- 2010 Mason Larobina